[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [libvirt] build libvirt error. lack of AppArmor .



On 10/10/2012 04:04 AM, yue wrote:
> error occur when  attach a rbd-disk to domain.
>  
> 1.configure: error: You must install the AppArmor development package in order to compile libvirt

What command line did you pass to configure?  AppArmor is optional (and
in fact, Fedora does not use it); so this message should only be
triggered if you passed an explicit --with-apparmor or
--with-secdriver-apparmor to configure, in which case, yes, then you
need the apparmor devel package.

> 2.
> 2012-10-10 17:36:16.305+0000: 3808: warning : qemuDomainObjTaint:1297 : Domain id=2 name='xpSP3' uuid=b45bd66a-6700-4905-c5f4-4c799413d7b7 is tainted: high-privileges
> 2012-10-10 17:36:16.712+0000: 3808: error : qemuMonitorOpenUnix:266 : failed to connect to monitor socket: No such process

This usually means that qemu failed to start; can you check the log file
for that guest (perhaps /var/log/libvirt/qemu/xpSP3.log) to see if there
are more details why?

-- 
Eric Blake   eblake redhat com    +1-919-301-3266
Libvirt virtualization library http://libvirt.org

Attachment: signature.asc
Description: OpenPGP digital signature


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]